/*
 * Created on 12.12.2005
 */
package gui;

import java.awt.*;
import javax.swing.*;
import java.util.*;

public class Ausgabe extends JPanel {
	
	private static int getMinMax = 0;
	private static ArrayList listTableaus = new ArrayList();
	private static int anzVariablen;
	private static int anzBedingungen;
	private static JPanel fenster;
	private static double e_x[][];
	private static double e_F = 0.0;
	

	
	public Ausgabe(ArrayList listTableaus) {
		super();
		fenster = this;
		this.listTableaus = listTableaus;
		setLayout(new GridLayout((listTableaus.size()+1),1,0,0));
		setVisible(true);
	}

	public void showTableau(){
		JTable table = new JTable();
		int anzIterationen = 1;
		Iterator iter = listTableaus.iterator();
		String s = "";
		int temp = 0;
		while (iter.hasNext()) {
			table = (JTable)iter.next();
			table.setFont(new Font("Tahoma",Font.BOLD,11));
			table.setValueAt(s,0,0);
			table.setBackground(fenster.getBackground());
			table.setSize(new Dimension(530,20*(this.anzBedingungen+2)));
			fenster.add(table);
			s = "Iteration " + anzIterationen ;
			anzIterationen++;
		}
		e_F = new Double(table.getValueAt(anzBedingungen,anzVariablen).toString()).doubleValue();
		JPanel erg = new JPanel();
		erg.setLayout(new GridLayout(anzVariablen,1));
		JLabel ergLabel = new JLabel("Das Ergebnis lautet: F = "+ new Double(e_F).toString(),JLabel.LEFT);
		ergLabel.setFont(new Font("Tahoma",Font.BOLD,12));
		erg.add(ergLabel);
		if(getMinMax == 0)
			temp = anzVariablen-1;
		else
			temp = anzBedingungen-1;
		for(int i=0;i<temp;i++){
			JLabel x = new JLabel("x" + (i+1) + " = "+ new Double(e_x[i][0]).toString(),JLabel.LEFT);
			x.setFont(new Font("Tahoma",Font.BOLD,12));
			erg.add(x);
		}
		fenster.add(erg);
	}
	/**
	 * @param getMinMax The getMinMax to set.
	 */
	public void setGetMinMax(int getMinMax) {
		Ausgabe.getMinMax = getMinMax;
	}

	/**
	 * @param anzBedingungen The anzBedingungen to set.
	 */
	public void setAnzBedingungen(int anzBedingungen) {
		Ausgabe.anzBedingungen = anzBedingungen;
	}

	/**
	 * @param anzVariablen The anzVariablen to set.
	 */
	public void setAnzVariablen(int anzVariablen) {
		Ausgabe.anzVariablen = anzVariablen;
	}

	/**
	 * @param e_x The e_x to set.
	 */
	public void setE_x(double[][] e_x) {
		this.e_x = e_x;
	}
}
