/*
 * Created on 13.01.2006
 */
package gui;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.TableCellRenderer;

public class ColorRenderer extends JLabel implements TableCellRenderer {

	private int pivotZeile = 0;
	private int pivotSpalte = 0;
	private int iteration = 0;
	private Color c;
	
	public ColorRenderer(int zeile, int spalte,int iteration) {
		super();
		this.pivotZeile = zeile;
		this.pivotSpalte = spalte;
		this.iteration = iteration;
	}

	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int column) {
		if(iteration > 0){
			if((row == this.pivotZeile) || (column == this.pivotSpalte)){
				this.setForeground(Color.red);
			}
			else{
				this.setForeground(Color.black);
			}
		}
		this.setHorizontalAlignment(JLabel.CENTER);
		this.setVerticalAlignment(JLabel.CENTER);
		this.setText(value.toString());
		return this;
	}
}
